/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Messwerte auf einem i2c Display mit zwei Zeilen a 16 Zeichen ausgeben
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include <Wire.h>  
#include <LiquidCrystal_I2C.h>
#include "i2c_adressen.h"

// Defines -----------------------------------------------------------------
#define BLANK  (char)32 // ASCII Leerzeichen
#define EMPTY  (char)48 // ASCII 0
#define ENDE   (char)0  // Stringende
#define PUNKT  (char)46 // ASCII .
#define DPUNKT (char)58 // ASCII :
 
// Variablen -----------------------------------------------------------------
static char tmpstr[3] = {EMPTY,EMPTY,ENDE};
LiquidCrystal_I2C lcd(I2C_LCD_DISPLAY, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);  

// Funktionen ----------------------------------------------------------------
void i2clcd_Setup(void)
{
  lcd.begin(16,2);
  lcd.clear();
  lcd.backlight();
  lcd.setCursor(0,0);
  lcd.print("**** SEaP: *****");
  lcd.setCursor(0,1);
  lcd.print("----------------");
  delay(3000);
}

void i2clcd_Write(int helle)
{
  lcd.setCursor(0,0);
  lcd.print("  Helligkeit:   ");
  lcd.setCursor(0,1);
  sprintf(tmpstr,"%02i",helle); // umwandeln in ASCII
  lcd.print(tmpstr);
  lcd.print(" von 0 bis 99 ");
}

