/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Helligkeit mit einem LDR messen
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include <Adafruit_ADS1015.h>
#include "arduino.h"
#include "ldr.h"
#include "i2c_adressen.h"

// Variablen -----------------------------------------------------------------
Adafruit_ADS1115 ads(I2C_SENSOR_ADC); // Standardeinstellung +- 6,144 Volt => 65535 bit
                                      // 0 Volt bis +6,144 Volt => 32767 bit
// Funktionen ----------------------------------------------------------------
void ldr_Setup(void)
{
  ads.begin();
}

int ldr_Read(void)
{
  int helligkeit  = (int)0;
  unsigned int sensorValue = (unsigned int)0;

  sensorValue = ads.readADC_SingleEnded(0);       // Sensor einlesen
                                                  // +5 Volt max. am Sensor entspricht damit 26666 bit
  helligkeit = map(sensorValue, 0, 26666, 0, 99); // und in 100 Skala umrechnen
  Serial.print("Helligkeit: ");
  Serial.print(sensorValue);
  Serial.print(" ");
  Serial.println(helligkeit);
  return(helligkeit);
}

